org.apache.uima.fit.component

## Class JCasConsumer_ImplBase

- java.lang.Object
- - org.apache.uima.analysis_component.AnalysisComponent_ImplBase
  - - org.apache.uima.analysis_component.Annotator_ImplBase
    - - org.apache.uima.analysis_component.JCasAnnotator_ImplBase
      - - org.apache.uima.fit.component.JCasConsumer_ImplBase

- All Implemented Interfaces:
    org.apache.uima.analysis_component.AnalysisComponent

      public abstract class JCasConsumer_ImplBase
      extends org.apache.uima.analysis_component.JCasAnnotator_ImplBase

  Base class for JCas consumers (actually a `JCasAnnotator_ImplBase`) which initializes itself based on annotations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JCasConsumer_ImplBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.uima.fit.internal.ExtendedLogger` | `getLogger()` Get the logger.
    `void` | `initialize(org.apache.uima.UimaContext context)`

    - ### Methods inherited from class org.apache.uima.analysis_component.JCasAnnotator_ImplBase

      `getRequiredCasInterface, process, process`

    - ### Methods inherited from class org.apache.uima.analysis_component.Annotator_ImplBase

      `getCasInstancesRequired, hasNext, next`

    - ### Methods inherited from class org.apache.uima.analysis_component.AnalysisComponent_ImplBase

      `batchProcessComplete, collectionProcessComplete, destroy, getContext, getResultSpecification, reconfigure, setResultSpecification`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JCasConsumer_ImplBase

          public JCasConsumer_ImplBase()

  - ### Method Detail

    - #### getLogger

          public org.apache.uima.fit.internal.ExtendedLogger getLogger()

      Get the logger.
      Returns:
        the logger.

    - #### initialize

          public void initialize(org.apache.uima.UimaContext context)
                          throws org.apache.uima.resource.ResourceInitializationException

      Specified by:
        `initialize` in interface `org.apache.uima.analysis_component.AnalysisComponent`
      Overrides:
        `initialize` in class `org.apache.uima.analysis_component.AnalysisComponent_ImplBase`
      Throws:
        `org.apache.uima.resource.ResourceInitializationException`

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.